CREATE TABLE gms_institution_locations (
    INSTN_LOCATION_ID        NUMBER(18, 0),
    INSTITUTION_ID           NUMBER(18, 0)    NOT NULL,
    LOCATION_ID              NUMBER(18, 0)    NOT NULL,
    LOCATION_URL             VARCHAR2(800),
    BILLING_LOCATION         VARCHAR2(4)  ,
    AWARD_LOCATION           VARCHAR2(4)  ,
    START_DATE_ACTIVE        DATE             NOT NULL,
    END_DATE_ACTIVE          DATE         ,
    PRIMARY_FLAG             VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    INSTN_LOCATION_ID        NUMBER(18, 0),
    INSTITUTION_ID           NUMBER(18, 0)    NOT NULL,
    LOCATION_ID              NUMBER(18, 0)    NOT NULL,
    LOCATION_URL             VARCHAR2(800),
    BILLING_LOCATION         VARCHAR2(4)  ,
    AWARD_LOCATION           VARCHAR2(4)  ,
    START_DATE_ACTIVE        DATE             NOT NULL,
    END_DATE_ACTIVE          DATE         ,
    PRIMARY_FLAG             VARCHAR2(4)  ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_gms_institution_locations PRIMARY KEY (INSTN_LOCATION_ID, INSTN_LOCATION_ID)
);
